Bug 5016 - Fix some terminology and wording issues on English PDF order templates
Summary: Fix some terminology and wording issues on English PDF order templates
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on: 10746
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 20:24 UTC by Nicole C. Engard
Modified: 2020-03-13 00:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04


Attachments
orderlines (33.80 KB, image/png)
2010-07-15 20:25 UTC, Nicole C. Engard
Details
ordersummary (22.59 KB, image/png)
2010-07-15 20:26 UTC, Nicole C. Engard
Details
headers (22.29 KB, image/png)
2010-07-15 20:26 UTC, Nicole C. Engard
Details
Bug 5016: Fix some translation issues with English PDF order templates (176.84 KB, patch)
2019-11-24 12:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5016: Fix some translation issues with English PDF order templates (176.88 KB, patch)
2020-02-13 10:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 5016: Fix some translation issues with English PDF order templates (181.73 KB, patch)
2020-02-18 14:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-07-15 20:24:02 UTC
* pdf invoice says “ publié par” instead of “published by”
    * pdf invoice says degree symbol instead of # (as does the basket grouping)
    * pdf invoice says GST instead of tax rate
    * pdf not translatable
Comment 1 Nicole C. Engard 2010-07-15 20:25:59 UTC
Created attachment 2372 [details]
orderlines
Comment 2 Nicole C. Engard 2010-07-15 20:26:29 UTC
Created attachment 2373 [details]
ordersummary
Comment 3 Nicole C. Engard 2010-07-15 20:26:47 UTC
Created attachment 2374 [details]
headers
Comment 4 Owen Leonard 2019-11-19 13:41:34 UTC
(In reply to Nicole C. Engard from comment #0)
> * pdf invoice says “ publié par” instead of “published by”

This has been fixed.


>     * pdf invoice says degree symbol instead of # (as does the basket
> grouping)


This could be corrected by modifying the .odt files in koha-tmpl/intranet-tmpl/prog/pdf

>     * pdf invoice says GST instead of tax rate

Where does one generate a PDF of an invoice?


>     * pdf not translatable

I don't know if this bug predates the introduction of the OrderPdfFormat preference... It's better than nothing but only expands the options to English, French, and German. Why don't we simply generate a printable view and let the user save as/print to a PDF?
Comment 5 Katrin Fischer 2019-11-24 12:25:38 UTC
Created attachment 95759 [details] [review]
Bug 5016: Fix some translation issues with English PDF order templates

Changes made:
- Instead of n° print no.
- Market Identification => Market identification
- GST => Tax

To test:
- Create at least 2 baskets with one or more orders
- Create a basket group with those baskets
- Print the PDF using
  - the 2 page layout
  - the 3 page layout
- Verify that the changes made appear and everything looks correct
Comment 6 Katrin Fischer 2019-11-24 12:26:46 UTC
> I don't know if this bug predates the introduction of the OrderPdfFormat
> preference... It's better than nothing but only expands the options to
> English, French, and German. Why don't we simply generate a printable view
> and let the user save as/print to a PDF?

Yes, that would be nice!
Comment 7 David Nind 2020-02-13 10:49:32 UTC
Created attachment 98807 [details] [review]
Bug 5016: Fix some translation issues with English PDF order templates

Changes made:
- Instead of n° print no.
- Market Identification => Market identification
- GST => Tax

To test:
- Create at least 2 baskets with one or more orders
- Create a basket group with those baskets
- Print the PDF using (change using OrderPdfFormat system preference):
  - the 2 page layout
  - the 3 page layout
- Verify that the changes made appear and everything looks correct

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 Katrin Fischer 2020-02-14 07:03:22 UTC
Thx David, almost forgot about this one!
Comment 9 Jonathan Druart 2020-02-18 14:57:19 UTC
% git show master:koha-tmpl/intranet-tmpl/prog/pdf/layout2pages.odt > /tmp/layout2pages_master.odt
% git show BZ5016:koha-tmpl/intranet-tmpl/prog/pdf/layout2pages.odt > /tmp/layout2pages_5016.odt
% odt2txt /tmp/layout2pages_master.odt
% odt2txt /tmp/layout2pages_5016.odt
% diff /tmp/layout2pages_master.txt /tmp/layout2pages_5016.txt
7c7
<                            Order form N°                          on
---
>                            Order form no.                          on
12c12
< Market Identification
---
> Market identification



% git show master:koha-tmpl/intranet-tmpl/prog/pdf/layout3pages.odt > /tmp/layout3pages_master.odt
% git show BZ5016:koha-tmpl/intranet-tmpl/prog/pdf/layout3pages.odt > /tmp/layout3pages_5016.odt
% odt2txt /tmp/layout3pages_master.odt
% odt2txt /tmp/layout3pages_5016.odt
% diff /tmp/layout3pages_master.txt /tmp/layout3pages_5016.txt
7c7
<                            Order form N°                          on  
---
>                            Order form no.                           on  
12c12
< Market Identification
---
> Market identification
59c59
< ORDER REFERENCES FOR ORDER FORM N°
---
> ORDER REFERENCES FOR ORDER FORM NO.
Comment 10 Jonathan Druart 2020-02-18 14:57:52 UTC
Created attachment 99190 [details] [review]
Bug 5016: Fix some translation issues with English PDF order templates

Changes made:
- Instead of n° print no.
- Market Identification => Market identification
- GST => Tax

To test:
- Create at least 2 baskets with one or more orders
- Create a basket group with those baskets
- Print the PDF using
  - the 2 page layout
  - the 3 page layout
- Verify that the changes made appear and everything looks correct

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Martin Renvoize 2020-02-19 11:33:55 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-03-13 00:16:53 UTC
Pushed to 19.11.x branch for 19.11.04